DCMTK - Bug #647

RUN_TESTS should not be available in VisualStudio when BUILD_APPS is disabled (CMake)

2015-07-06 17:23 - J6rg Riesmeier

Status: Closed Start date: 2015-07-06
Priority: Normal Due date:

Assignee: Jan Schlamelcher % Done: 100%
Category: Configuration Estimated time: 0:00 hour
Target version: 3.6.2

Module: CMake Compiler:

Operating System:

Description

RUN_TEST does not work when BUILD_APPS is disabled during CMake configure:

i Build started: Project: RUN_TESTS, Configuration: Release Win32 —--————-
1> Test project C:/dcmtk-build

1> Start 1: ofstd_OFCharacterEncoding_1

1> Could not find executable C:/dcmtk-build/bin/ofstd_tests

1> Looked in the following places:

1> C:/dcmtk-build/bin/ofstd_tests

1> C:/dcmtk-build/bin/ofstd_tests.exe

1> C:/dcmtk-build/bin/Release/ofstd_tests

1> C:/cmtk-build/bin/Release/ofstd_tests.exe

1> Release/C:/dcmtk-build/bin/ofstd_tests

1> Release/C:/dcmtk-build/bin/ofstd_tests.exe

1> Unable to find executable: C:/dcmtk-build/bin/ofstd_tests

1> 1/162 Test #1: ofstd _OFCharacterEncoding_l ...ttt eeeenennnoeeennenns ***Not Run
.00 sec

Related issues:

Is duplicate of DCMTK - Bug #586: RUN_TESTS fails on Windows, if BUILD_APPSi... Closed 2014-02-04

History

#1 - 2017-03-10 17:11 - Jan Schlamelcher

- Assignee set to Jan Schlamelcher

#2 - 2017-03-10 17:49 - Jan Schlamelcher
- Status changed from New to Closed

- % Done changed from 0 to 100

Fixed by commit 6497d3036: RUN_TESTS is still available, since potentially non-APP tests might be added in the future. However, CTest now

correctly reports that no tests are available if RUN_TESTS is run.
